Results 1 to 7 of 7

Thread: How to install airdrop-ng (and lorcon2)

  1. #1
    Join Date
    2013-Mar
    Location
    Totally lost
    Posts
    45

    How to install airdrop-ng (and lorcon2)

    There is a lot of outdated source code and documentation on the net, and it took me a few false starts to get this going. I think these were the commands which worked:

    Requires lorcon2:

    Code:
    cd /usr/src
    apt-get install libpcap0.8-dev libnl-dev 
    git clone https://code.google.com/p/lorcon
    cd lorcon
    ./configure
    make
    make install
    
    # install pylorcon
    cd pylorcon2
    python setup.py build
    python setup.py install
    
    # to make lorcon available to metasploit
    cd ../ruby-lorcon/
    ruby extconf.rb
    make
    make install
    Intalling airdrop-ng:

    Code:
    cd /usr/src
    git clone git://github.com/jalcine/aircrack-ng.git # I couldn't pull down just airdrop-ng branch - don't know why
    cd /aircrack-ng/scripts/airdrop-ng
    make install
    airodump-ng-oui-update #(airdrop-ng -u)
    When running airdrop, you may get this error:

    oui.txt not found in /usr/local/lib/python2.7/dist-packages/airdrop/support
    or ./support/
    Please run python airdrop-ng -u
    You need to find an airodump-ng-oui.txt, copy and rename it. This worked for me:

    Code:
    cp /etc/aircrack-ng/airodump-ng-oui.txt /usr/local/lib/python2.7/dist-packages/airdrop/support/oui.txt
    NB: There could be a reason these tools are not packaged in the repo's!

    Reference: http://blog.opensecurityresearch.com/2012/09/getting-started-with-lorcon.html

  2. #2
    Join Date
    2013-Mar
    Location
    In AnonWorld
    Posts
    38
    " root@localhost:/usr/src/lorcon/ruby-lorcon# ruby extconf.rb
    /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- mkmf (LoadError)
    from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
    from extconf.rb:2:in `<main>' " <-- i got this error on kali amd64
    THE FIX IS HERE :
    sudo apt-get install ruby
    sudo apt-get install ruby-dev
    sudo apt-get install rubygems
    sudo gem install rails

  3. #3
    Join Date
    2013-Mar
    Posts
    2
    I've been thinking about doing some stuff with lorcon soon, so thanks for the tutorial. I also have installed aircrack-ng from source though with svn. I was trying to get the --manufacturer option in airodump to work, but it seemed the version of aircrack-ng suite from Kali Repo was too old. The airodump --manufacturer option or (-M) is quite neat and also works off the oui.txt file you mentioned.

  4. #4
    Join Date
    2013-Apr
    Posts
    9
    i'm getting this error when i try to use aircrack
    after this airmong-ng start wlan0

    airodump-ng mon0 (i get this error)
    interface mon0:
    ioctl(SIOCGIFINDEX) failed: no such device
    what can i do? thanks a lot (usb cisco AE2500) vmware 9.0.2 on windows 8

  5. #5
    Join Date
    2013-Mar
    Posts
    2
    I want to add something also.

    If you are getting a fatal error saying your missing Python.h (Python Header) make sure you install the python header and remove the previous build from your cache...

    apt-get install python-dev
    rm -rf ~/build

  6. #6
    Join Date
    2013-Jun
    Posts
    123
    Quote Originally Posted by Vulpi View Post
    There is a lot of outdated source code and documentation on the net, and it took me a few false starts to get this going. I think these were the commands which worked:

    Requires lorcon2:

    Code:
    cd /usr/src
    apt-get install libpcap0.8-dev libnl-dev 
    git clone https://code.google.com/p/lorcon
    cd lorcon
    ./configure
    make
    make install
    
    # install pylorcon
    cd pylorcon2
    python setup.py build
    python setup.py install
    
    # to make lorcon available to metasploit
    cd ../ruby-lorcon/
    ruby extconf.rb
    make
    make install
    Intalling airdrop-ng:

    Code:
    cd /usr/src
    git clone git://github.com/jalcine/aircrack-ng.git # I couldn't pull down just airdrop-ng branch - don't know why
    cd /aircrack-ng/scripts/airdrop-ng
    make install
    airodump-ng-oui-update #(airdrop-ng -u)
    When running airdrop, you may get this error:



    You need to find an airodump-ng-oui.txt, copy and rename it. This worked for me:

    Code:
    cp /etc/aircrack-ng/airodump-ng-oui.txt /usr/local/lib/python2.7/dist-packages/airdrop/support/oui.txt
    NB: There could be a reason these tools are not packaged in the repo's!

    Reference: http://blog.opensecurityresearch.com/2012/09/getting-started-with-lorcon.html
    i was getting a few errors so i googled and found this to work with no errors http://www.coyotus.com/viewtopic.php?pid=2274

    it's in another language but you can follow the still...

    Code:
    apt-get install libpcap-dev libnl-dev python-dev
    Code:
    git clone https://code.google.com/p/lorcon/
    Code:
    cd lorcon
    Code:
     ./configure --libdir=/usr/lib
    Code:
    make
    Code:
    make isntall
    Code:
    svn co http://pylorcon2.googlecode.com/svn/trunk pylorcon2
    Code:
    cd pylorcon2
    Code:
     python setup.py build
    Code:
    svn co http://svn.aircrack-ng.org/trunk/scripts/airdrop-ng
    Code:
    airdrop-ng/old-installers/install.py
    now say yes to everything y


    Code:
    cd airdrop-bg
    Code:
    mv airdrop /usr/bin/airdrop
    Code:
    mv airdrop-ng /usr/bin/airdrop-ng

    to uninstall: airdrop-ng/old-installers/uninstall.py

    for usage examples, Rule Fiile Configuration Examples: http://www.aircrack-ng.org/doku.php?id=airdrop-ng

  7. #7
    Join Date
    2014-Feb
    Location
    US
    Posts
    3
    I learned a lot here.

    Thanks.

Similar Threads

  1. Replies: 5
    Last Post: 2016-01-25, 06:27
  2. Replies: 0
    Last Post: 2015-07-25, 09:11
  3. HOW TO: Install Airdrop-ng
    By testingresults in forum How-To Archive
    Replies: 5
    Last Post: 2013-12-01, 15:34

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •